<!DOCTYPE html>
<html>
<head>
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/@mdi/font@4.x/css/materialdesignicons.min.css" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.min.css" rel="stylesheet">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui">
</head>
<body>
  <div id="app">
    <v-app>
      <v-app-bar app color="primary" dark>
        <div class="d-flex align-center">
          <a href="index.html">
            <v-img
            alt="Vuetify Logo"
            class="shrink mr-2"
            contain
            src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
            transition="scale-transition"
            width="40"
          />
          </a>
        </div>

        <v-spacer></v-spacer>

        <v-file-input
          show-size
          label="Subir Archivo de Ventas"
          ref="file"
          v-model="files"
          accept=".csv"
          small-chips
          @change="submitFiles"
        >
        </v-file-input>
        <v-icon>mdi-open-in-new</v-icon>
      </v-app-bar>

      <v-content>
        <div class="home">
          <v-data-table
            :headers="headers"
            :items="vendors"
            :items-per-page="5"
            class="elevation-1"
            @click:row="handleClick"
          ></v-data-table>
        </div>
      </v-content>
    </v-app>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue@2.x/dist/vue.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.js"></script>
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <script>
    new Vue({
      el: '#app',
      vuetify: new Vuetify(),
      name: "demofront",
      data() {
        return {
          files: null,
          headers: [
            {
              text: "Nombre Vendedor",
              align: "start",
              sortable: true,
              value: "name"
            },
            { text: "Email", value: "email" },
            { text: "Comision", value: "comision" },
            { text: "Comision Actual", value: "actual_comision" }
          ],
          vendors: [],
          errors: [],
          backend_url: "http://localhost:8081"
        };
      },
      created() {
        axios
          .get(this.backend_url + "/getVendor/0")
          .then(response => (this.vendors = response.data))
          .catch(error => this.errors.push(error));
      },
      methods: {
        handleClick(value) {
          location.href="vendorDetail/" + value.id;
        },
        submitFiles(files) {
          if (files) {
            let formData = new FormData();
            formData.append("file", files, files.name);

            axios
              .post(this.backend_url + "/load", formData)
              .then(response => {
                console.log("Success!");
              })
              .catch(error => {
                console.log({ error });
              });
          } else {
            console.log("there are no files.");
          }
        }
      }
    })
  </script>
</body>
</html>